<?php

namespace App\Http\Controllers;

use App\Models\AppSession;
use App\Models\Measurement;
use App\Models\Bill;
use App\Models\Claim;
use App\Models\Client;
use App\Models\McpRequest;
use App\Models\Note;
use App\Models\Pro;
use App\Models\Product;
use App\Models\ProFavorite;
use App\Models\ProGeneralAvailability;
use App\Models\ProProAccess;
use App\Models\ProRate;
use App\Models\ProSpecificAvailability;
use App\Models\ProSpecificUnavailability;
use App\Models\ProTextShortcut;
use App\Models\ProTransaction;
use App\Models\Shipment;
use App\Models\SupplyOrder;
use App\Models\Ticket;
use Illuminate\Support\Facades\DB;
use PDF;
use DateTime;
use DateTimeZone;
use Illuminate\Http\Request;

class ProController extends Controller
{
    public function index(Request $request)
    {
        $pros = Pro::orderBy('created_at', 'asc')->paginate(50);
        return view('app.admin.pro.index', compact('pros'));
    }

    public function single(Request $request, Pro $pro)
    {
        return view('app.admin.pro.single', compact('pro'));
    }


}
